/* Fonts - https://google-webfonts-helper.herokuapp.com/fonts */

/* Typography  */

@media all {
    html {
        font-size: 1rem;
        height: 100%;
        background: rgb(250, 250, 250);
    }
    body,
    input:not([type="radio"]):not([type="checkbox"]),
    button,
    select,
    textarea {
        font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI",
            Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
        font-size: 100%;
        font-weight: 400;
        line-height: 1.5;
        color: rgb(51, 51, 51);
        background: rgb(255, 255, 255);
    }
    b,
    strong,
    dt {
        font-weight: 600;
    }
    a {
        color: rgb(0, 113, 187);
        text-decoration: underline;
        text-decoration-skip: ink;
    }
    .h1-like,
    .h2-like,
    .h3-like,
    .h4-like,
    .h5-like,
    h1,
    h2,
    h3,
    h4,
    h5 {
        margin: 0;
        line-height: 1.25;
        font-weight: normal;
    }
    .h1-like a,
    .h2-like a,
    .h3-like a,
    .h4-like a,
    .h5-like a,
    h1 a,
    h2 a,
    h3 a,
    h4 a,
    h5 a {
        /* color: rgb(70,70,70); FIXME */
        text-decoration: none;
    }
    .h1-like,
    h1 {
        font-size: 150%;
    }
    .h2-like,
    h2 {
        font-size: 125%;
    }
    .h3-like,
    h3 {
        font-size: 112.5%;
    }
    .h4-like,
    h4 {
        font-weight: 600;
    }
    blockquote {
        margin-left: 1.25rem;
        border-left: 4px solid rgb(204, 204, 204);
        padding: 0.9375rem 0 0 1.25rem;
        font-style: italic;
    }
    blockquote::after {
        content: "";
        display: table;
    }
    /* margins */
    .ce-news,
    .ce-header,
    .ce-teaserlink-outer,
    table,
    p,
    ul,
    ol,
    dl {
        margin: 0 0 0.9375rem;
    }
    .ce-header-subheader,
    .ce-header-date {
        margin-top: 0.3125rem;
    }
    .ce-header-subheader {
        margin-top: 0.625rem;
    }
    .ce-header-date {
        margin: 0.625rem 0 0;
    }
    ul ul,
    ul ol,
    ol ul,
    ol ol {
        margin: 0;
    }
    .ce-bodytext ul {
        list-style: square;
        padding-left: 1.125em;
    }
    .ce-bodytext ul > li::marker {
        color: rgb(129, 123, 108);
    }
    .ce-bodytext li {
        margin-bottom: 0.3125em;
    }
    .ce-menu .ce-menu {
        margin-left: 1.25rem;
    }
    hr,
    .ce-div {
        border: none;
        border-top: 1px solid rgb(51, 51, 51);
        margin: 0;
        height: 0.9375rem;
    }
    /* text flow */
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 p,
    li,
    a,
    figcaption {
        overflow-wrap: break-word;
        word-wrap: break-word;
        -webkit-hyphens: auto;
        -moz-hyphens: auto;
        -ms-hyphens: auto;
        hyphens: auto;
    }
}

/* large */

@media all and (min-width: 62.5em) {
    /* typography */
    .h1-like,
    h1 {
        font-size: 175%;
    }
    .h2-like,
    h2 {
        font-size: 150%;
    }
    .h3-like,
    h3 {
        font-size: 125%;
    }
    .h4-like,
    h4 {
        font-size: 112.5%;
        font-weight: inherit;
    }
    .h5-like,
    h5 {
        font-weight: 600;
    }
}

/* xlarge */

@media all and (min-width: 92.5em) {
    /* typography */
    .content-main > .ce-element {
        font-size: 112.5%;
    }
    .h1-like,
    h1 {
        font-size: 222.2222%;
    }
    .h2-like,
    h2 {
        font-size: 200%;
    }
    .content-footer h2,
    .content-footer .h2-like {
        font-size: 150%;
    }
    .h3-like,
    h3 {
        font-size: 133.3333%;
    }
    .h4-like,
    h4 {
        font-size: 125%;
    }
    .h5-like,
    h5 {
        font-size: 112.5%;
        font-weight: inherit;
    }
}
